<?php

Route::group(
    [
        'middleware' => [
            \EdwinFound\Laravel\Middleware\StatelessRouteMiddleware::class,
        ],
    ],
    function () {

        Route::match(['get'], '', '\App\Web\Controller\IndexController@index');
        Route::match(['get'], 'search', '\App\Web\Controller\SearchController@index');
        Route::match(['get'], 'article/{id}', '\App\Web\Controller\ArticleController@view');
        Route::match(['get'], 'article_list/{id}', '\App\Web\Controller\ArticleController@lists');
        Route::match(['get'], 'post/{id}', '\App\Web\Controller\PostController@view');

    }
);

Route::match(['get', 'post'], 'install/ping', '\TechSoft\Laravel\Install\InstallController@ping');
Route::match(['get', 'post'], 'install/execute', '\TechSoft\Laravel\Install\InstallController@execute');
Route::match(['get', 'post'], 'install/lock', '\TechSoft\Laravel\Install\InstallController@lock');
